summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author ponce2010-09-21 01:09:42 +0200
committer Robby Workman2010-09-22 05:09:41 +0200
commitf2c346b9b140c493ae866ccae459311ba3add908 (patch)
tree229ecdf17e5ac1481cdb7fd7e0076fff924bd5b0
parent7dbfa9215a5482409bd867ffb77471402768f5c8 (diff)
downloadslackbuilds-f2c346b9b140c493ae866ccae459311ba3add908.tar.gz
desktop/lxde-common: Added (set of default configurations for LXDE)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--desktop/lxde-common/README10
-rw-r--r--desktop/lxde-common/config/default-main.lxde3
-rw-r--r--desktop/lxde-common/config/default-pcmanfm.conf3
-rw-r--r--desktop/lxde-common/config/panel.patch101
-rw-r--r--desktop/lxde-common/config/xinitrc.lxde33
-rw-r--r--desktop/lxde-common/doinst.sh23
-rw-r--r--desktop/lxde-common/lxde-common.SlackBuild162
-rw-r--r--desktop/lxde-common/lxde-common.info10
-rw-r--r--desktop/lxde-common/slack-desc19
9 files changed, 364 insertions, 0 deletions
diff --git a/desktop/lxde-common/README b/desktop/lxde-common/README
new file mode 100644
index 0000000000..a7b469b4b5
--- /dev/null
+++ b/desktop/lxde-common/README
@@ -0,0 +1,10 @@
+lxde-common (a set of default configurations for LXDE)
+
+lxde-common package provides a set of default configurations and bitmaps
+for LXDE. lxde-settings is the XSettings daemon of LXDE. It presents
+configuration values to other programs via the XSETTINGS protocol defined
+by freedesktop.org.
+
+If you are using this with pcmanfm2 (next generation pcmanfm), launch the
+slackbuild passing it the variable NGPCMANFM=yes like this NGPCMANFM=yes
+./lxde-common.Slackbuild
diff --git a/desktop/lxde-common/config/default-main.lxde b/desktop/lxde-common/config/default-main.lxde
new file mode 100644
index 0000000000..64ea8d0846
--- /dev/null
+++ b/desktop/lxde-common/config/default-main.lxde
@@ -0,0 +1,3 @@
+[Desktop]
+show_wallpaper=1
+wallpaper=/usr/share/lxde/wallpapers/lxde_blue.jpg
diff --git a/desktop/lxde-common/config/default-pcmanfm.conf b/desktop/lxde-common/config/default-pcmanfm.conf
new file mode 100644
index 0000000000..eb917ff8ca
--- /dev/null
+++ b/desktop/lxde-common/config/default-pcmanfm.conf
@@ -0,0 +1,3 @@
+[desktop]
+wallpaper_mode=2
+wallpaper=/usr/share/lxde/wallpapers/lxde_blue.jpg
diff --git a/desktop/lxde-common/config/panel.patch b/desktop/lxde-common/config/panel.patch
new file mode 100644
index 0000000000..4e84091e4d
--- /dev/null
+++ b/desktop/lxde-common/config/panel.patch
@@ -0,0 +1,101 @@
+--- lxde-common-0.5.0/lxpanel/panel.in.orig 2010-08-18 23:38:58.000000000 +0200
++++ lxde-common-0.5.0/lxpanel/panel.in 2010-08-18 23:44:34.000000000 +0200
+@@ -3,10 +3,10 @@
+
+ Global {
+ edge=bottom
+- allign=left
++ allign=center
+ margin=0
+ widthtype=percent
+- width=100
++ width=95
+ height=26
+ transparent=0
+ tintcolor=#000000
+@@ -29,7 +29,7 @@
+ Plugin {
+ type = menu
+ Config {
+- image=@prefix@/share/lxde/images/lxde-icon.png
++ image=@prefix@/share/lxpanel/images/my-computer.png
+ system {
+ }
+ separator {
+@@ -53,7 +53,13 @@
+ id=pcmanfm.desktop
+ }
+ Button {
+- id=firefox.desktop
++ id=mozilla-firefox.desktop
++ }
++ Button {
++ id=mozilla-thunderbird.desktop
++ }
++ Button {
++ id=lxterminal.desktop
+ }
+ }
+ }
+@@ -110,7 +116,29 @@
+ }
+
+ Plugin {
+- type = netstat
++ type = volumealsa
++}
++
++Plugin {
++ type = space
++ Config {
++ Size=4
++ }
++}
++
++Plugin {
++ type = netstatus
++ Config {
++ iface=eth0
++ configtool=network-admin --configure %i
++ }
++}
++
++Plugin {
++ type = space
++ Config {
++ Size=4
++ }
+ }
+
+ Plugin {
+@@ -118,7 +146,14 @@
+ }
+
+ Plugin {
+- type = tray
++ type = space
++ Config {
++ Size=4
++ }
++}
++
++Plugin {
++ type = cpufreq
+ }
+
+ Plugin {
+@@ -127,6 +162,14 @@
+ ClockFmt=%R
+ TooltipFmt=%A %x
+ BoldFont=0
++ IconOnly=0
++ }
++}
++
++Plugin {
++ type = space
++ Config {
++ Size=4
+ }
+ }
+
diff --git a/desktop/lxde-common/config/xinitrc.lxde b/desktop/lxde-common/config/xinitrc.lxde
new file mode 100644
index 0000000000..80187bb2f9
--- /dev/null
+++ b/desktop/lxde-common/config/xinitrc.lxde
@@ -0,0 +1,33 @@
+#!/bin/sh
+# $XConsortium: xinitrc.cpp,v 1.4 91/08/22 11:41:34 rws Exp $
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/etc/X11/xinit/.Xresources
+sysmodmap=/etc/X11/xinit/.Xmodmap
+
+# merge in defaults and keymaps
+
+if [ -f $sysresources ]; then
+ xrdb -merge $sysresources
+fi
+
+if [ -f $sysmodmap ]; then
+ xmodmap $sysmodmap
+fi
+
+if [ -f $userresources ]; then
+ xrdb -merge $userresources
+fi
+
+if [ -f $usermodmap ]; then
+ xmodmap $usermodmap
+fi
+
+# Start the window manager:
+if [ -z $XDG_SESSION_COOKIE ]; then
+ ck-launch-session startlxde
+else
+ startlxde
+fi
+
diff --git a/desktop/lxde-common/doinst.sh b/desktop/lxde-common/doinst.sh
new file mode 100644
index 0000000000..3d6e356f8e
--- /dev/null
+++ b/desktop/lxde-common/doinst.sh
@@ -0,0 +1,23 @@
+config() {
+ for infile in \$1; do
+ NEW="\$infile"
+ OLD="\`dirname \$NEW\`/\`basename \$NEW .new\`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r \$OLD ]; then
+ mv \$NEW \$OLD
+ elif [ "\`cat \$OLD | md5sum\`" = "\`cat \$NEW | md5sum\`" ]; then
+ # toss the redundant copy
+ rm \$NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+ done
+}
+
+config etc/xdg/lxsession/LXDE/autostart.new
+config etc/xdg/lxsession/LXDE/desktop.conf.new
+config etc/xdg/pcmanfm/main.lxde.new
+config etc/xdg/pcmanfm/pcmanfm.conf.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications &> /dev/null
+fi
diff --git a/desktop/lxde-common/lxde-common.SlackBuild b/desktop/lxde-common/lxde-common.SlackBuild
new file mode 100644
index 0000000000..f95a76a72c
--- /dev/null
+++ b/desktop/lxde-common/lxde-common.SlackBuild
@@ -0,0 +1,162 @@
+#!/bin/sh
+# $Id: lxde-common.SlackBuild,v 1.5 2009/09/11 20:36:29 root Exp root $
+# Copyright (c) 2008-2009 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: lxde-common
+# Descr: a set of default configurations for LXDE
+# URL: http://lxde.sourceforge.net/
+# Needs:
+# Changelog:
+# 0.3.2.1-1: 04/jun/2008 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+# 0.4.2-1: 11/sep/2009 by Eric Hameleers <alien@slackware.com>
+# * Update.
+# 0.5.0-1: 13/sep/2010 by ponce <matteo.bernardini@sns.it>
+# * Adapted to slackbuilds.org's autotools template.
+# * fixed lxpanel and xinitrc
+#
+# Run 'sh lxde-common.SlackBuild' to build a Slackware package.
+# The package is created in /tmp .
+# Install using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+PRGNAM=lxde-common
+VERSION=${VERSION:-0.5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+DOCS="AUTHORS COPYING ChangeLog NEWS README"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# patch panel config to use slackware applications and slightly modify default config
+patch -p1 < $CWD/config/panel.patch
+
+CXXFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --enable-man \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$ARCH-slackware-linux
+make
+make DESTDIR=$PKG install
+
+mkdir -p $PKG/usr/share/applications
+cp lxde-logout.desktop $PKG/usr/share/applications
+
+# Add a xinitrc file for xwmconfig:
+mkdir -p $PKG/etc/X11/xinit
+cp $CWD/config/xinitrc.lxde $PKG/etc/X11/xinit/
+chmod 755 $PKG/etc/X11/xinit/xinitrc.lxde
+
+# Make sure that KDM picks up the LXDE session type as well:
+mkdir -p $PKG/usr/share/apps/kdm/sessions
+( cd $PKG/usr/share/apps/kdm/sessions
+ for i in $(ls ../../../xsessions/*.desktop) ; do ln -sf $i ; done
+)
+
+# patch desktop.conf for Tango icon theme
+sed -i -e 's#nuoveXT2#Tango#' $PKG/etc/xdg/lxsession/LXDE/desktop.conf
+
+# patch autostart for the new pcmanfm
+sed -i -e 's#pcmanfm#pcmanfm --desktop#' $PKG/etc/xdg/lxsession/LXDE/autostart
+
+# set a default config for pcmanfm
+mkdir -p $PKG/etc/xdg/pcmanfm
+cp $CWD/config/default-pcmanfm.conf $PKG/etc/xdg/pcmanfm/pcmanfm.conf.new
+cp $CWD/config/default-main.lxde $PKG/etc/xdg/pcmanfm/main.lxde.new
+
+# Move configuration files that we do not want overwriting old ones:
+mv $PKG/etc/xdg/lxsession/LXDE/autostart{,.new}
+mv $PKG/etc/xdg/lxsession/LXDE/desktop.conf{,.new}
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/lxde-common/lxde-common.info b/desktop/lxde-common/lxde-common.info
new file mode 100644
index 0000000000..230c3bd760
--- /dev/null
+++ b/desktop/lxde-common/lxde-common.info
@@ -0,0 +1,10 @@
+PRGNAM="lxde-common"
+VERSION="0.5.0"
+HOMEPAGE="http://www.lxde.org/"
+DOWNLOAD="http://downloads.sourceforge.net/lxde/lxde-common-0.5.0.tar.gz"
+MD5SUM="23606ab3d6e1039386d62a4b68b4ffc6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Ponce"
+EMAIL="matteo.bernardini@sns.it"
+APPROVED="dsomero"
diff --git a/desktop/lxde-common/slack-desc b/desktop/lxde-common/slack-desc
new file mode 100644
index 0000000000..47e5517236
--- /dev/null
+++ b/desktop/lxde-common/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lxde-common: lxde-common (a set of default configurations for LXDE)
+lxde-common:
+lxde-common: lxde-common package provides a set of default configurations and
+lxde-common: bitmaps for LXDE.
+lxde-common: lxde-settings is the XSettings daemon of LXDE. It presents
+lxde-common: configuration values to other programs via the XSETTINGS protocol
+lxde-common: defined by freedesktop.org.
+lxde-common:
+lxde-common:
+lxde-common: lxde-common home: http://www.lxde.org/
+lxde-common: